Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06705 Graphics Major Always Oct 10, 2017, 02:10 May 19, 2021, 04:42
Tester MrGW View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver coco3.cpp
Version 0.190 Fixed in Version 0.198 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary MESS-specific 06705: coco3 [megabug]: Graphic corruption when running MegaBug using the Coco 3 driver
Description William Schaub discovered a graphic corruption issue when playing MegaBug on the Coco 3. It loads as a "split screen" where the top half is the entire game with slight corruption at the very bottom. The bottom half is a duplicate copy of the top half with the exception that the bottom half screen will change back and forth from a copy of the top half to complete graphic corruption. This happens whether you are moving your player character or not.

This behavior is exhibited when loading the game as a CART, DSK image or CASSETTE image.

The game works correctly when using the Coco 2 drivers.
Steps To Reproduce Start MAME with the following command line:

mame coco3 -nomouse -window -debug

Insert the Megabug rompak (CART) using MAME's built-in UI.
Additional Information William was able to find a workaround (with a rather interesting palette) by entering b@ff22=CD in the debugger window.

The same issue happens when trying this on the official MAME binary for Windows (William has Windows v8.1).
Github Commit
Flags
Regression Version
Affected Sets / Systems coco3 [megabug]
Attached Files
jpg file icon megabug-issue.jpg (109,693 bytes) Oct 10, 2017, 02:10 Uploaded by MrGW
Screenshot of issue
MrGW
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.14245
MrGW
Tester
Oct 10, 2017, 21:44
Rick Adams has confirmed he sees this same behavior with the Temple of ROM game cart. Rick is the original author of the game.
User avatar
No.14246
Tafoid
Administrator
Oct 10, 2017, 22:23
So, you are stating that megabug doesn't work on original hardware coco3? I have both but my set up is long packed away so I can't test readily.
User avatar
No.14247
MrGW
Tester
Oct 11, 2017, 00:47
Hi Tafoid. Let me clarify by saying that Rick sees this same issue when running his game in MAME. Both games work correctly on real Coco 3 hardware.
User avatar
No.14264
MrGW
Tester
Oct 12, 2017, 10:21
Steve Bjork wanted me to forward his comments for this issue:
"Have the guys working on the bug in mane look at the Sam/VDG mode system. From that I can see in the pictures, the game is trying to display a 3k screen, but MAME is doing it as a 6k screen. Easy for 1/2 coco but hard for the CoCo 3 graphics system. Mega-Bug did not work on the first designs of the Gime for the CoCo 3."

As an FYI, Steve is the original author of MegaBug.
User avatar
No.18858
tlindner
Tester
May 19, 2021, 03:08
I just tested this (Mega-Bug running on the coco3 driver) in 0.234. And it is working fine.
User avatar
No.18860
Tafoid
Administrator
May 19, 2021, 04:42
Found resolution version. Also, the softlist method of loading "coco3 megabug" didn't start working until 0.209 - unrelated to this bug which had you load picker style.